%global _hardened_build 1

Summary:        Command-line file archiver for Apple II archives
Name:           nulib2
Version:        3.1.0
Release:        1%{?dist}
License:        BSD
Group:          Applications/Archiving
URL:            http://nulib.com/
Source0:        https://github.com/fadden/%{name}/archive/v%{version}.tar.gz

BuildRequires:  gcc zlib-devel

%description
NuLib is a disk and file archive program, similar in principle to PKZIP.
Instead of ZIP archives, it manipulates NuFX archives, which are usually
identified with ".SHK", ".SDK", or ".BXY".

The ".SHK" file extension is derived from ShrinkIt, the de facto archiving
standard for Apple II computers.  Both NuFX and ShrinkIt were developed
by Andy Nicholas, and were initially released in January of 1989.

%prep
%autosetup

%build
# First the NufxLib
pushd nufxlib
  %configure
  %{__make}
popd
# then Nulib
pushd nulib2
  %configure
  %make_build
popd

%install
install -D -m 0755 nulib2/nulib2   $RPM_BUILD_ROOT/%{_bindir}/nulib2
install -D -m 0644 nulib2/nulib2.1 $RPM_BUILD_ROOT/%{_mandir}/man1/nulib2.1

%files
%defattr(-,root,root)
%doc README.md nulib2/ChangeLog.txt nulib2/COPYING nulib2/README.txt
%attr(755,root,root) %{_bindir}/nulib2
%{_mandir}/man1/*

%changelog
* Thu May 24 2018 Greg Wildman <greg@techno.co.za> - 3.1.0-1
- Updated version.

* Fri Dec 18 2015 Greg Wildman <greg@techno.co.za> - 3.0.0-1
- Initial spec.
- Could not find the old package :(
